Loading...
Searching...
No Matches
libdar5::crit_in_place_is_dir Class Reference

returns true if the first entry is a cat_directory (whatever is the second) More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_in_place_is_dir (const crit_in_place_is_dir &ref)=default
| crit_in_place_is_dir (crit_in_place_is_dir &&ref) noexcept=default
crit_in_place_is_dir & | operator= (const crit_in_place_is_dir &ref)=default
crit_in_place_is_dir & | operator= (crit_in_place_is_dir &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method

## Detailed Description

returns true if the first entry is a cat_directory (whatever is the second)

Definition at line 103 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_is_dir()

libdar::crit_in_place_is_dir::crit_in_place_is_dir | ( |  | ) |

inline

Definition at line 106 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_is_dir::clone | ( |  | ) | const

inlineoverridevirtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 114 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp